Unity.Microsoft.DependencyInjection 5.11.5

The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org. Prefix Reserved
.NET Core 3.1 .NET Standard 2.0
dotnet add package Unity.Microsoft.DependencyInjection --version 5.11.5
NuGet\Install-Package Unity.Microsoft.DependencyInjection -Version 5.11.5
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Unity.Microsoft.DependencyInjection" Version="5.11.5" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Unity.Microsoft.DependencyInjection --version 5.11.5
#r "nuget: Unity.Microsoft.DependencyInjection, 5.11.5"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install Unity.Microsoft.DependencyInjection as a Cake Addin
#addin nuget:?package=Unity.Microsoft.DependencyInjection&version=5.11.5

// Install Unity.Microsoft.DependencyInjection as a Cake Tool
#tool nuget:?package=Unity.Microsoft.DependencyInjection&version=5.11.5

Make Unity sustainable

The community support is crucial for the projects to survive and to move forward. Unity is all about trust and sharing. Open Collective lets finances to be managed so everyone can see where money comes from and where it goes. It was selected to provide mechanism for the community to support and finance the project.

If your project depends on Unity container and you want it to be maintained and developed, please support it. Remember, I can have only one full time job, so without proper financial backing this is the last release of the library

Become contributor to Unity project

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows net7.0 net7.0-android net7.0-ios net7.0-maccatalyst net7.0-macos net7.0-tvos net7.0-windows
.NET Core netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard2.0 netstandard2.1
.NET Framework net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen40 tizen60
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (14)

Showing the top 5 NuGet packages that depend on Unity.Microsoft.DependencyInjection:

Package Downloads
UnityAddon.Core

Package Description

IFramework.DependencyInjection.Unity

Package Description

Sels.Core.Unity

Uses the Unity IoC container to implement abstractions in Sels.Core. Used by projects maintained here: https://github.com/Jenssels1998

PSFiddle.Common

Package Description

Sels.Core.DependencyInjection.Unity

Implements DI abstractions using Unity. Used by projects maintained here: https://github.com/Jenssels1998

GitHub repositories (1)

Showing the top 1 popular GitHub repositories that depend on Unity.Microsoft.DependencyInjection:

Repository Stars
danielpalme/IocPerformance
Performance comparison of .NET IoC containers
Version Downloads Last updated
5.11.5 1,757,885 12/12/2019
5.11.4 9,985 12/8/2019
5.11.3 12,191 12/8/2019
5.11.2 922 12/8/2019
5.11.1 16,315 12/6/2019
5.11.0 3,435 12/6/2019
5.10.2 331,333 4/10/2019
5.10.1 39,438 3/23/2019
5.10.0 54,127 3/18/2019
5.9.2 12,733 3/2/2019
5.9.1 11,459 2/6/2019
5.9.0 12,841 1/23/2019
2.1.3 184,678 12/9/2018
2.1.2.1 33,922 12/4/2018
2.1.1 41,300 8/29/2018
2.1.0 2,991 8/25/2018
2.0.12 983 8/24/2018
2.0.11 925 8/22/2018
2.0.10 189,237 3/27/2018
2.0.9 3,612 3/4/2018
2.0.8 1,383 3/4/2018
2.0.7 1,043 3/1/2018
2.0.6 2,236 1/29/2018
2.0.5 1,099 1/23/2018
2.0.4 1,052 1/23/2018
2.0.3 877 1/23/2018
2.0.2 1,168 1/11/2018
2.0.1 1,155 1/10/2018
2.0.0 1,293 1/9/2018
1.0.1 6,630 1/5/2018
1.0.0 1,657 1/4/2018

This release is compatible with Core 3.1